#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	vala		# do not build Vala API
#
Summary:	libgnome-keyring library
Summary(pl.UTF-8):	Biblioteka libgnome-keyring
Name:		libgnome-keyring
Version:	3.10.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnome-keyring/3.10/%{name}-%{version}.tar.xz
# Source0-md5:	9b7834bf6630160878a0aa7cb5df7dfc
URL:		http://live.gnome.org/GnomeKeyring
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gobject-introspection-devel >= 1.30.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.9}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 2:0.16.0}
BuildRequires:	xz
Requires:	glib2 >= 1:2.16.0
Requires:	libgcrypt >= 1.2.2
Conflicts:	gnome-keyring-libs < 2.29.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libgnome-keyring library is used by applications to integrate with
the gnome-keyring system.

%description -l pl.UTF-8
Biblioteka libgnome-keyring jest używana w celu zintegrowania
aplikacji z systemem gnome-keyring.

%package devel
Summary:	Header files for libgnome-keyring library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgnome-keyring
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.16.0
Requires:	libgcrypt-devel >= 1.2.2
Conflicts:	gnome-keyring-devel < 2.29.0

%description devel
Header files for libgnome-keyring library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgnome-keyring.

%package apidocs
Summary:	libgnome-keyring library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libgnome-keyring
Group:		Documentation
Requires:	gtk-doc-common
Conflicts:	gnome-keyring-apidocs < 2.29.0

%description apidocs
libgnome-keyring library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libgnome-keyring.

%package -n vala-libgnome-keyring
Summary:	libgnome-keyring API for Vala language
Summary(pl.UTF-8):	API libgnome-keyring dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.16.0

%description -n vala-libgnome-keyring
libgnome-keyring API for Vala language.

%description -n vala-libgnome-keyring -l pl.UTF-8
API libgnome-keyring dla języka Vala.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I build/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	%{__enable_disable vala vala} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%if %{without apidocs}
rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README
%attr(755,root,root) %{_libdir}/libgnome-keyring.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-keyring.so.0
%{_libdir}/girepository-1.0/GnomeKeyring-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-keyring.so
%{_datadir}/gir-1.0/GnomeKeyring-1.0.gir
%{_includedir}/gnome-keyring-1
%{_pkgconfigdir}/gnome-keyring-1.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-keyring
%endif

%if %{with vala}
%files -n vala-libgnome-keyring
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gnome-keyring-1.vapi
%endif
%changelog
* Thu Oct 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgnome-keyring.git;a=log;h=master

* Thu Oct 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> 9366ede
- updated to 3.10.1

* Thu Sep 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 35bd862
- Update to 3.10.0

* Mon Mar 25 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 7e345ff
- Update to 3.8.0

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> a6d9378
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> d9eefe4
- fixed build without vala

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> d6a85b2
- updated to 3.6.0
- added vala-* subpackage

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7ef802c
- updated to 3.4.1

* Fri Mar 30 2012 Jakub Bogusz <qboosh@pld-linux.org> f21ceec
- versioned runtime dependencies

* Mon Mar 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 8aae215
- updated to 3.4.0; merged changes from DEVEL

* Tue Nov 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 496abf6
- updated to 3.2.2

* Sun Sep 25 2011 Artur Frysiak <artur@frysiak.net> b5328e0
- up to 3.2.0 (merge from DEVEL)

* Thu May 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 8f7a382
- .xz BRs

* Thu May 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3fdc900
- updated to 3.0.3

* Mon May 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5d242f8
- updated to 3.0.2

* Mon Apr 25 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 1e695e2
- updated to 3.0.1

* Mon Apr 04 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 20f6e58
- updated to 3.0.0; merged from DEVEL

* Sun Jan 30 2011 Karol Krenski <charles@pld-linux.org> 0024883
- -devel R: libgcrypt-devel

* Tue Sep 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 60245ba
- updated to 2.32.0

* Mon Apr 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 649faf5
- updated to 2.30.1

* Wed Mar 31 2010 Marcin Banasiak <marcin.banasiak@gmail.com> acea786
- updated to 2.30.0

